libpadwalker-perl_1.98-1+b1_i386.deb


Advertisement

Description

libpadwalker-perl - module to inspect and manipulate lexical variables

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libpadwalker-perl
Package version: 1.98
Package release: 1+b1
Package architecture: i386
Package type: deb
Installed size: 37 B
Download size: 20.90 KB
Official Mirror: ftp.br.debian.org
PadWalker is a module that allows you to inspect and even modify lexical variables in the current "lexical pad stack." Perl tracks which variables are accessible and visible in each lexical scope by keeping a separate set of variables for each scope. This module looks for a given variable by traversing that stack, which allows it to alter anything in the stack, even variables not normally accessible in the current scope. In practise, this module is useful for checking anything defined in the full stack of subroutines that called your function, making it extremely useful for debugging. It is, however, not recommended for use in production code.

Alternatives

    Download

    Source package: libpadwalker-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libpadwalker-perl deb package:
      # sudo apt-get install libpadwalker-perl

    Files

    • /usr/lib/i386-linux-gnu/perl5/5.20/PadWalker.pm
    • /usr/lib/i386-linux-gnu/perl5/5.20/auto/PadWalker/PadWalker.so
    • /usr/share/doc/libpadwalker-perl/changelog.Debian.gz
    • /usr/share/doc/libpadwalker-perl/changelog.Debian.i386.gz
    • /usr/share/doc/libpadwalker-perl/changelog.gz
    • /usr/share/doc/libpadwalker-perl/copyright
    • /usr/share/lintian/overrides/libpadwalker-perl
    • /usr/share/man/man3/PadWalker.3pm.gz

    Changelog

    2013-12-11 - gregor herrmann <gregoa@debian.org> libpadwalker-perl (1.98-1) unstable; urgency=medium * New upstream release. * Declare compliance with Debian Policy 3.9.5.

    2013-05-13 - gregor herrmann <gregoa@debian.org> libpadwalker-perl (1.96-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ gregor herrmann ] * New upstream release. Fixes "FTBFS with perl 5.18: build failure due to API changes" (Closes: #708023) * Update years of upstream copyright. * Refresh patch. * Set Standards-Version to 3.9.4 (no changes). * Use debhelper 9.20120312 to get all hardening flags. * Add lintian override (hardening-no-fortify-functions). * Add /me to Uploaders.

    2012-06-26 - Salvatore Bonaccorso <carnil@debian.org> libpadwalker-perl (1.94-1) unstable; urgency=low * Imported Upstream version 1.94 * Update debian/copyright to copyright-format 1.0 * Bump Standards-Version to 3.9.3

    2012-02-08 - Salvatore Bonaccorso <carnil@debian.org> libpadwalker-perl (1.93-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Email change: Salvatore Bonaccorso -> carnil@debian.org * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. * Imported Upstream version 1.93 * Bump Debhelper compat level to 9. Adjust Build-Depends for debhelper to (>= 9). * Update debian/copyright file. Update format for DEP5 proposal for machine-readable copyright file information to revision 174 of the proposal. Update copyright years for debian/* packaging. Refer to Debian systems in general instead of only Debian GNU/Linux systems. * Bump Standards-Version to 3.9.2

    2010-07-15 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libpadwalker-perl (1.92-1) unstable; urgency=low * New upstream release * Add myself to Uploaders. * debian/control: Add perl to Build-Depends. * Refresh dead-lexicals-rt55242.patch patch. * debian/copyright: Refresh format of file according to revision 135 of DEP5 and update copyright years for upstream stanza. Refresh debian/* packaging stanza. * Bump Standards-Version to 3.9.0 (no changes needed).

    2010-03-06 - Jonathan Yu <jawnsy@cpan.org> libpadwalker-perl (1.9-2) unstable; urgency=medium [ Jonathan Yu ] * Standards-Version 3.8.4 (no changes) * Update copyright information to DEP5 format * Convert to 3.0 (quilt) source format * Add patch to fix possible segfault (RT#55242) [ Ryan Niebur ] * Update jawnsy's email address * Update ryan52's email address

    2009-06-26 - Jonathan Yu <frequency@cpan.org> libpadwalker-perl (1.9-1) unstable; urgency=low * New upstream release + New feature, set_closed_over + Copyright years updated to 2000-2009 * Removed quilt stuff, since the patch is now applied upstream * Debhelper dependency back to 7, since quilt isn't used anymore * Standards version 3.8.2 (no changes) * Added /me to d/copyright and Uploaders * Updated description (hopefully it's a bit more clear) [ Nathan Handler ] * debian/watch: Update to ignore development releases.

    2009-05-11 - Ryan Niebur <ryanryan52@gmail.com> libpadwalker-perl (1.7-2) unstable; urgency=low [ gregor herrmann ] * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * Remove Florian Ragwitz from Uploaders (closes: #523263). [ Ryan Niebur ] * standards version 3.8.1 * dh7 based debian/rules * add myself to uploaders * add quilt patching * fix segfault (Closes: #528154) * update copyright information * update formatting of debian/copyright for the machine readable format * add README.source [ gregor herrmann ] * debian/control: make short description a noun phrase.

    Advertisement
    Advertisement